#!/bin/bash

#### INIT ####
FW=appfs-21.03-rc072.tar.gz
BEROCONF=/usr/fallback/beroconf

#### FCTS ####
function log() {
	echo "[recover] ${1}"
}

## doing the installation
log "Installing firmware: ${FW}" 
mkdir -p /tmp/images
if wget http://www.beronet.com/wp-content/uploads/downloads/berofix/release_candidates/21.x/${FW} -O /tmp/images/${FW} ; then
	mount -o remount,rw /
	rm -rf /pkginfo
	mount -o remount,ro /
	/usr/fallback/install.sh ${FW}
	sleep 5
	/sbin/reboot
fi

exit 0
